/*
   fofx: function grapher for ASCII terminals
   Copyright (C) 1997 Tom Stepleton

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/*
   main: main program
   fatal_error: prints error messages and exits
*/

#include <stdio.h>

#include "fofx.h"
#include "fofx_err.h"

int cols=70,xaxis=0,yaxis=0;
double iv;
double tlx=-7,tly=7;   
double brx=7,bry=-7;
double Variable;
unsigned char *function, *func_ptr, token[80];
int token_type;
char *progname;

int main(int argc, unsigned char *argv[])
{
  ParseCmdLine(argc,argv);
  GraphEquation();
  return(NO_ERROR);
}

void fatal_error(int err1,int err2)
{
    fprintf(stderr,"%s: %s\n%s\n",progname,error_messages[err1],error_messages[err2]);
    exit(FATAL_ERROR);
}
